[bugreport] iOS 5.0.0: immediate crash

iPhone6, iOS 12.5.3.
Mapillary was updated to 5.0.0 today. Now it crashes immediately after starting.

2 Likes

Emailed support and poked Mapillary on Twitter a couple of times, no response yet.
https://twitter.com/RihardsOlups/status/1404506916341043203

It seems to be related to 12.5.3. It seems to work fine on 12.4 and 13.x and newer. I’m trying to get my hands on a device with that OS version. Other users also reported crashes in other apps, but not sure if that’s related.

I just saw that iOS 12.5.4 was just released a few hours ago, can you try that?

Upgraded to 12.5.4, no difference.
Somewhat expected, as the previous Mapillary version worked on 12.5.3 for quite some time, and there were no issues with any of the other apps I use.

Thanks for trying that. I’m trying to get my hands on an iPhone 5s or iPhone 6 so I can see why it’s crashing. I got crash logs for 12.5.x, but they are completely empty and doesn’t look like a normal crash log at all, so something weird is up. This is my highest prio to fix.

Thank you for the reply, appreciate the help here.
If it would be of any use, I could try a debug version via Testflight.

Thanks, that would be great! I’ll let you know when I have something to test.

Heya, any luck here?
Starting a long weekend with countryside driving tomorrow, and that’s a lot of small roads 3-4 hour drive away from my usual “area” :slight_smile:

I’m thinking that the problem is with Mapbox since I had to do some manual tweaks to the Mapbox pre-compiled libraries, so that could be the problem for iPhone 5s and iPhone 6.

I have started replacing Mapbox with a different map lib, but it has proven to be more complicated than anticipated, so I’m trying a quick-fix today instead.

It will take some time to get it built and uploaded to Apple, and then they need to approve it, but after that I can send it out on Testflight.

Are you on Testflight? If not, send me a PM with your email and I’ll add you.

I have submitted a test build to Apple, once they approve it, it will available for testing via Testflight.

That’s great - I have Testflight installed, but not joined, I guess - PM sent.

Did you manage to install it? Another user was unable to install Testflight on 12.x, but if you already have it installed, perhaps you can install the beta build anyway. Fingers crossed!